module     p1_uubar_emnmumupnebar_scalar_cache
   use precision, only: ki_sam => ki
   use madds
   implicit none
   save

   private
!---#[ scalar integral cache for samurai:
    logical, public  :: samurai_cache_flag_g0
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_g0
    logical, public :: samurai_cache_flag_d15
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d15
    logical, public :: samurai_cache_flag_d16
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d16
    logical, public :: samurai_cache_flag_d18
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d18
    logical, public :: samurai_cache_flag_d19
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d19
    logical, public :: samurai_cache_flag_d50
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_d50
!---#] scalar integral cache for samurai:

   public :: invalidate_cache
contains
   subroutine invalidate_cache()
      implicit none
      samurai_cache_flag_g0 = .false.
      samurai_cache_flag_d15 = .false.
      samurai_cache_flag_d16 = .false.
      samurai_cache_flag_d18 = .false.
      samurai_cache_flag_d19 = .false.
      samurai_cache_flag_d50 = .false.
   end subroutine invalidate_cache
end module p1_uubar_emnmumupnebar_scalar_cache